Package org.silverpeas.components.quickinfo.service

# Class QuickInfoContentManager

java.lang.Object
org.silverpeas.core.contribution.contentcontainer.content.AbstractSilverpeasContentManager
org.silverpeas.components.quickinfo.service.QuickInfoContentManager

All Implemented Interfaces:
  `org.silverpeas.core.contribution.contentcontainer.content.SilverpeasContentManager`

@Service public class QuickInfoContentManager extends org.silverpeas.core.contribution.contentcontainer.content.AbstractSilverpeasContentManager

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `QuickInfoContentManager()`
  Hidden constructor as this implementation must be GET by CDI mechanism.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected <T extends org.silverpeas.core.contribution.model.Contribution>
  org.silverpeas.core.contribution.contentcontainer.content.SilverContentVisibility`
  `computeSilverContentVisibility(T contribution)`
  `void`
  `deleteSilverContent(Connection con, org.silverpeas.core.contribution.publication.model.PublicationPK pubPK)`
  delete a content.
  `protected List<org.silverpeas.core.contribution.model.Contribution>`
  `getAccessibleContributions(List<org.silverpeas.core.ResourceReference> resourceReferences, String currentUserId)`
  `protected String`
  `getContentIconFileName(String componentInstanceId)`
  `protected Optional<org.silverpeas.core.contribution.model.Contribution>`
  `getContribution(String resourceId, String componentInstanceId)`

  ### Methods inherited from class org.silverpeas.core.contribution.contentcontainer.content.AbstractSilverpeasContentManager

  `createSilverContent, createSilverContent, createSilverContent, deleteSilverContent, deleteSilverContent, deleteSilverContent, getContentManager, getOrCreateSilverContentId, getOrCreateSilverContentId, getSilverContentByReference, getSilverContentId, getSilverContentId, updateSilverContentVisibility, updateSilverContentVisibility`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### QuickInfoContentManager

    protected QuickInfoContentManager()
    Hidden constructor as this implementation must be GET by CDI mechanism.

- ## Method Details

  - ### getContentIconFileName

    protected String getContentIconFileName(String componentInstanceId)
    Specified by:
      `getContentIconFileName` in class `org.silverpeas.core.contribution.contentcontainer.content.AbstractSilverpeasContentManager`

  - ### getContribution

    protected Optional<org.silverpeas.core.contribution.model.Contribution> getContribution(String resourceId, String componentInstanceId)
    Specified by:
      `getContribution` in class `org.silverpeas.core.contribution.contentcontainer.content.AbstractSilverpeasContentManager`

  - ### getAccessibleContributions

    protected List<org.silverpeas.core.contribution.model.Contribution> getAccessibleContributions(List<org.silverpeas.core.ResourceReference> resourceReferences, String currentUserId)
    Specified by:
      `getAccessibleContributions` in class `org.silverpeas.core.contribution.contentcontainer.content.AbstractSilverpeasContentManager`

  - ### computeSilverContentVisibility

    protected <T extends org.silverpeas.core.contribution.model.Contribution> org.silverpeas.core.contribution.contentcontainer.content.SilverContentVisibility computeSilverContentVisibility(@NonNull T contribution)
    Overrides:
      `computeSilverContentVisibility` in class `org.silverpeas.core.contribution.contentcontainer.content.AbstractSilverpeasContentManager`

  - ### deleteSilverContent

    public void deleteSilverContent(Connection con, org.silverpeas.core.contribution.publication.model.PublicationPK pubPK) throws org.silverpeas.core.contribution.contentcontainer.content.ContentManagerException
    delete a content. It is registered to contentManager service
    Parameters:
      `con` - a Connection
      `pubPK` - the identifiant of the content to unregister
    Throws:
      `org.silverpeas.core.contribution.contentcontainer.content.ContentManagerException`